<!doctype html>
<html xmlns:th="http://www.thymeleaf.org" lang="es">
  	<head>
    	<!-- Required meta tags -->
    	<meta charset="utf-8">
    	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    	<!-- Bootstrap CSS -->
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" 
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" 
		integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">

		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.7.0/animate.min.css">
		
		<link rel="stylesheet" href="/css/login.css">
		
		<title>Bookstore</title>
  	</head>

	<body class="bg-light">

		

		<div class="container-fluid">
			
			<div class="row p-5 fullcontent justify-content-center">
				<div class="col-md-8 align-self-center">
                    
                    <div class="formbox px-4 pb-3 animated fadeIn delay-1s">

                        <div class="row justify-content-center">
                            <div class="col-6">
                                <img src="/img/logo-bookstore.png" class="img-fluid" alt="logotipo">
                            </div>                        
                            
                            <div class="col-12">                                                    
                                <form id="registerForm" method="post" action="/auth/register">							
                                    
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="form-group">
                                                <label for="email">Correo electrónico</label>
                                                <input type="email" class="form-control asd" id="email" placeholder="Ingrese el correo electrónico">
                                            </div>
                                        </div>
                                        
                                        <div class="col-12">
                                            <div class="form-group">
                                                <label for="username">Username</label>
                                                <input type="text" class="form-control asd" id="username" placeholder="Ingrese el nombre de usuario">
                                            </div>
                                        </div>
                                        
                                        <div class="col-12">
                                            <div class="form-group">
                                                <label for="password">Contraseña</label>
                                                <input type="password" class="form-control asd" id="password" placeholder="Ingrese la contraseña">
                                            </div>
                                        </div>                            
                                            
                                        <div class="col-12 pt-3 pb-2">
                                            <hr>
                                            <h5>Datos personales</h5>
                                            <hr>
                                        </div>
                                        
                                        <div class="col-6">
                                            <div class="form-group">
                                                <label for="name">Nombre</label>
                                                <input type="text" class="form-control asd" id="name" placeholder="Ingrese el nombre">
                                            </div>
                                        </div>
                                        
                                        <div class="col-6">
                                            <div class="form-group">
                                                <label for="surname">Apellidos</label>
                                                <input type="text" class="form-control asd" id="surname" placeholder="Ingrese los apellidos">
                                            </div>
                                        </div>

                                        <div class="col-8">
                                            <div class="form-group">
                                                <label for="address">Dirección</label>
                                                <input type="text" class="form-control asd" id="address" placeholder="Ingrese la dirección">
                                            </div>
                                        </div>

                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="postal">Código postal</label>
                                                <input type="text" class="form-control asd" id="postal" placeholder="Ingrese el código postal">
                                            </div>
                                        </div>

                                        <div class="col-6">
                                            <div class="form-group">
                                                <label for="department">Departamento</label>
                                                
                                                <select id="department" class="form-control asd">
                                                    <option th:value="nn" selected>-- Clic para seleccionar --</option>
                                                    <option th:value="Magdalena" >Magdalena</option>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-6">
                                            <div class="form-group">
                                                <label for="city">Ciudad</label>
                                                
                                                <select id="city" class="form-control asd">
                                                    <option th:value="nn" selected>-- Clic para seleccionar --</option>
                                                    <option th:value="SantaMarta">Santa Marta</option>
                                                </select>
                                            </div>
                                        </div>
                                        
										
										CreditCard
                                        <div class="col-12 pt-3 pb-2">
                                            <hr>
                                            <h5>Tarjeta de crédito</h5>
                                            <hr>
                                        </div>


                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="tipeCard">Tipo de tarjeta</label>
                                                
                                                <select id="tipeCard" class="form-control asd">
                                                    <option selected>-- Clic para seleccionar --</option>
                                                    <option>Visa</option>
                                                    <option>MasterCard</option>
                                                    <option>American Express</option>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-8">
                                            <div class="form-group">
                                                <label for="numberCard">Número de tarjeta</label>
                                                <input type="text" class="form-control asd" id="numberCard" placeholder="Ingrese el número de tarjeta">
                                            </div>
                                        </div>


                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="dateExpire">Fecha de expiración</label>
                                                <select id="dateExpire" class="form-control asd">
                                                    <option selected>-- Mes --</option>
                                                    <option value="1">Enero</option>
                                                    <option value="2">Febrero</option>
                                                    <option value="3">Marzo</option>
                                                    <option value="4">Abril</option>
                                                    <option value="5">Mayo</option>
                                                    <option value="6">Junio</option>
                                                    <option value="7">Julio</option>
                                                    <option value="8">Agosto</option>
                                                    <option value="9">Septiembre</option>
                                                    <option value="10">Octubre</option>
                                                    <option value="11">Noviembre</option>
                                                    <option value="12">Diciembre</option>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="yearCard">Año</label>
                                                <input type="text" class="form-control asd" id="yearCard" placeholder="Año">
                                            </div>
                                        </div>

                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="cvv">Código de seguridad</label>
                                                <input type="text" class="form-control asd" id="cvv" placeholder="CCV">
                                            </div>
                                        </div>
										<!-- End CreditCard -->

                                        <div class="col-12">
                                            <button type="button" class="btn btn-outline-light btn-md btn-block mb-5">Regístrarse</button>

                                            <hr>                                
                                            <label for="">¿Ya tienes cuenta?</label>                                    
                                            <a th:href="@{/auth/login}" class="btn btn-outline-secondary btn-md btn-block mb-3 mt-2">Iniciar sesión</a>
                                        </div>
                                        
                                        
                                    </div>                                    
                                    
                                </form>	
                            </div>
                        </div>
                        
					</div>
				</div>
			</div>

		</div>
		
		<!-- jQuery first, then Popper.js, then Bootstrap JS -->
		<script src="https://code.jquery.com/jquery-3.3.1.min.js"   integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="   crossorigin="anonymous"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
		<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" 
		integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
		
		<!-- Optional JavaScript -->
		<script src="/js/authService.js" type="text/javascript"></script>
	</body>
</html>